DisplayableFormat (JGoodies Common 1.8 API)
Date: 2015-01-03

com.jgoodies.common.format

## Class DisplayableFormat

- java.lang.Object
- - java.text.Format
  - - com.jgoodies.common.format.DisplayableFormat

- All Implemented Interfaces:
    Serializable, Cloneable

      public final class DisplayableFormat
      extends Format

  Formats implementations of the `Displayable` interface. Cannot parse.
  Since:
    1.7
  Author:
    Karsten Lentzsch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.text.Format

      `Format.Field`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DisplayableFormat` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringBuffer` | `format(Object obj, StringBuffer toAppendTo, FieldPosition pos)` Appends the object's default display string, or nothing of `obj` is `null`.
    `Object` | `parseObject(String source, ParsePosition pos)` Throws an `UnsupportedOperationException`.

    - ### Methods inherited from class java.text.Format

      `clone, format, formatToCharacterIterator, parseObject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DisplayableFormat INSTANCE

  - ### Method Detail

    - #### format

          public StringBuffer format(Object obj,
                            StringBuffer toAppendTo,
                            FieldPosition pos)

      Appends the object's default display string, or nothing of `obj` is `null`.

      Specified by:
        `format` in class `Format`
      Throws:
        `IllegalArgumentException` - if `obj` is not a `Displayable`

    - #### parseObject

          public Object parseObject(String source,
                           ParsePosition pos)

      Throws an `UnsupportedOperationException`.
      Specified by:
        `parseObject` in class `Format`
      Throws:
        `UnsupportedOperationException` - always

Copyright © 2009-2014 JGoodies Software GmbH. All Rights Reserved.